Debian Bug report logs - #657693
vsftpd FTBFS on armhf and amd64

version graph

Package: vsftpd; Maintainer for vsftpd is Daniel Baumann <mail@daniel-baumann.ch>; Source for vsftpd is src:vsftpd.

Reported by: peter green <plugwash@p10link.net>

Date: Sat, 28 Jan 2012 01:51:02 UTC

Severity: serious

Tags: patch

Found in version vsftpd/2.3.5-2

Fixed in version vsftpd/2.3.5-3

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#657693; Package vsftpd. (Sat, 28 Jan 2012 01:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sat, 28 Jan 2012 01:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vsftpd FTBFS on armhf (and maybe amd64)
Date: Sat, 28 Jan 2012 01:49:59 +0000
package: vsftpd
version: 2.3.5-2
severity: important

vsftpd fails to build on armhf with the following error. This initially 
happened on the buildd
and I have also reproduced locally.

gcc -o vsftpd main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o tunables.o ftpdataio.o secbuf.o ls.o postprivparent.o logging.o str.o netstr.o sysstr.o strlist.o banner.o filestr.o parseconf.o secutil.o ascii.o oneprocess.o twoprocess.o privops.o standalone.o hash.o tcpwrap.o ipaddrparse.o access.o features.o readwrite.o opts.o ssl.o sslslave.o ptracesandbox.o ftppolicy.o sysutil.o sysdeputil.o  -lwrap -lpam -lssl -lcrypto -lcap -fPIE -pie -Wl,-z,relro -Wl,-z,now
/usr/bin/ld: utility.o: relocation R_ARM_THM_MOVW_ABS_NC against `a local symbol' can not be used when making a shared object; recompile with -fPIC
utility.o: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[2]: *** [vsftpd] Error 1


It also failed on the amd64 buildd in the same way but I was unable to 
reproduce that.

I think the problem is that you are passing -fPIE to the linker but not 
passing -fPIC
to the compiler but i'm not an expert on this.




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#657693; Package vsftpd. (Fri, 24 Feb 2012 01:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 24 Feb 2012 01:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 657693@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 657693@bugs.debian.org
Subject: (fwd) Log for attempted build of vsftpd_2.3.5-2 on amd64 (dist=unstable)
Date: Thu, 23 Feb 2012 17:07:19 -0800
[Message part 1 (text/plain, inline)]
Attached are logs for a failure of vsftpd to build on amd64.


Don Armstrong

-- 
[C]haos is found in greatest abundance wherever order is being sought.
It always defeats order, because it is better organized.
 -- Terry Pratchett _Interesting Times_ p4

http://www.donarmstrong.com              http://rzlab.ucr.edu
[Message part 2 (message/rfc822, inline)]
From: Source Builder <buildd@jilx.donarmstrong.com>
To: don+sbuild@donarmstrong.com
Subject: Log for attempted build of vsftpd_2.3.5-2 on amd64 (dist=unstable)
Date: Thu, 23 Feb 2012 16:54:53 -0800 (PST)
sbuild (Debian sbuild) 0.60.0 (23 Feb 2010) on jilx.donarmstrong.com

╔══════════════════════════════════════════════════════════════════════════════╗
║ vsftpd 2.3.5-2 (amd64)                                     23 Feb 2012 16:53 ║
╚══════════════════════════════════════════════════════════════════════════════╝

Package: vsftpd
Version: 2.3.5-2
Architecture: amd64
Chroot Build Dir: /var/lib/schroot/mount/unstable-amd64-sbuild-b4f14493-6975-4317-9103-3075a02ab1be/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq
Start Time: 20120223-1653
Hit http://debian.int.donarmstrong.com sid InRelease
Get:1 http://debian-r.int.donarmstrong.com sid InRelease [27.9 kB]
Hit http://debian.int.donarmstrong.com sid/main Sources/DiffIndex
Hit http://debian.int.donarmstrong.com sid/main amd64 Packages/DiffIndex
Hit http://debian.int.donarmstrong.com sid/main TranslationIndex
Get:2 http://debian-r.int.donarmstrong.com sid/main Sources [1204 kB]
Hit http://debian.int.donarmstrong.com sid/main Translation-en
Get:3 http://debian-r.int.donarmstrong.com sid/main amd64 Packages [28.9 kB]
Ign http://debian-r.int.donarmstrong.com sid/main TranslationIndex
Ign http://debian-r.int.donarmstrong.com sid/main Translation-en
Fetched 1261 kB in 2s (555 kB/s)
Reading package lists...

┌──────────────────────────────────────────────────────────────────────────────┐
│ Fetch source files                                                           │
└──────────────────────────────────────────────────────────────────────────────┘


Check APT
─────────

Checking available source versions...

Download source files with APT
──────────────────────────────

Reading package lists...
Building dependency tree...
Need to get 215 kB of source archives.
Get:1 http://debian.int.donarmstrong.com/debian/ sid/main vsftpd 2.3.5-2 (dsc) [1125 B]
Get:2 http://debian.int.donarmstrong.com/debian/ sid/main vsftpd 2.3.5-2 (tar) [188 kB]
Get:3 http://debian.int.donarmstrong.com/debian/ sid/main vsftpd 2.3.5-2 (diff) [26.5 kB]
Fetched 215 kB in 0s (3691 kB/s)
Download complete and in download only mode

Check arch
──────────

** Using build dependencies supplied by package:
Build-Depends: debhelper (>= 9), libcap2-dev [linux-any], libpam0g-dev, libssl-dev, libwrap0-dev

┌──────────────────────────────────────────────────────────────────────────────┐
│ Install build dependencies (internal resolver)                               │
└──────────────────────────────────────────────────────────────────────────────┘

Checking for already installed source dependencies...
debhelper: missing
Using default version 9.20120115
libcap2-dev: missing
libpam0g-dev: missing
libssl-dev: missing
libwrap0-dev: missing
Checking for source dependency conflicts...
Installing positive dependencies: debhelper libcap2-dev libpam0g-dev libssl-dev libwrap0-dev
Reading package lists...
Building dependency tree...
The following extra packages will be installed:
  bsdmainutils file gettext gettext-base groff-base html2text intltool-debian
  libcap2 libcroco3 libffi5 libglib2.0-0 libmagic1 libpcre3 libpipeline1
  libssl1.0.0 libunistring0 libwrap0 libxml2 man-db po-debconf zlib1g-dev
Suggested packages:
  wamerican wordlist whois vacation dh-make gettext-doc groff manpages-dev
  less www-browser libmail-box-perl
Recommended packages:
  curl wget lynx-cur autopoint libglib2.0-data shared-mime-info libssl-doc
  tcpd xml-core libmail-sendmail-perl
The following NEW packages will be installed:
  bsdmainutils debhelper file gettext gettext-base groff-base html2text
  intltool-debian libcap-dev libcap2 libcroco3 libffi5 libglib2.0-0 libmagic1
  libpam0g-dev libpcre3 libpipeline1 libssl-dev libssl1.0.0 libunistring0
  libwrap0 libwrap0-dev libxml2 man-db po-debconf zlib1g-dev
0 upgraded, 26 newly installed, 0 to remove and 0 not upgraded.
Need to get 12.9 MB of archives.
After this operation, 36.2 MB of additional disk space will be used.
Get:1 http://debian.int.donarmstrong.com/debian/ sid/main libpipeline1 amd64 1.2.0-5 [38.2 kB]
Get:2 http://debian.int.donarmstrong.com/debian/ sid/main libssl1.0.0 amd64 1.0.0g-1 [1145 kB]
Get:3 http://debian.int.donarmstrong.com/debian/ sid/main libmagic1 amd64 5.10-1 [248 kB]
Get:4 http://debian.int.donarmstrong.com/debian/ sid/main libpcre3 amd64 8.12-4 [225 kB]
Get:5 http://debian.int.donarmstrong.com/debian/ sid/main libwrap0 amd64 7.6.q-23 [62.3 kB]
Get:6 http://debian.int.donarmstrong.com/debian/ sid/main libffi5 amd64 3.0.10-3 [24.8 kB]
Get:7 http://debian.int.donarmstrong.com/debian/ sid/main libglib2.0-0 amd64 2.30.2-6 [1846 kB]
Get:8 http://debian.int.donarmstrong.com/debian/ sid/main libxml2 amd64 2.7.8.dfsg-7 [895 kB]
Get:9 http://debian.int.donarmstrong.com/debian/ sid/main libcroco3 amd64 0.6.4-2 [150 kB]
Get:10 http://debian.int.donarmstrong.com/debian/ sid/main libunistring0 amd64 0.9.3-5 [434 kB]
Get:11 http://debian.int.donarmstrong.com/debian/ sid/main bsdmainutils amd64 9.0.1 [210 kB]
Get:12 http://debian.int.donarmstrong.com/debian/ sid/main groff-base amd64 1.21-6 [1150 kB]
Get:13 http://debian.int.donarmstrong.com/debian/ sid/main man-db amd64 2.6.1-1 [1057 kB]
Get:14 http://debian.int.donarmstrong.com/debian/ sid/main file amd64 5.10-1 [53.0 kB]
Get:15 http://debian.int.donarmstrong.com/debian/ sid/main gettext-base amd64 0.18.1.1-5 [154 kB]
Get:16 http://debian.int.donarmstrong.com/debian/ sid/main libcap2 amd64 1:2.22-1 [13.3 kB]
Get:17 http://debian.int.donarmstrong.com/debian/ sid/main html2text amd64 1.3.2a-15 [103 kB]
Get:18 http://debian.int.donarmstrong.com/debian/ sid/main gettext amd64 0.18.1.1-5 [2080 kB]
Get:19 http://debian.int.donarmstrong.com/debian/ sid/main intltool-debian all 0.35.0+20060710.1 [30.8 kB]
Get:20 http://debian.int.donarmstrong.com/debian/ sid/main po-debconf all 1.0.16+nmu2 [224 kB]
Get:21 http://debian.int.donarmstrong.com/debian/ sid/main debhelper all 9.20120115 [693 kB]
Get:22 http://debian.int.donarmstrong.com/debian/ sid/main libcap-dev amd64 1:2.22-1 [26.5 kB]
Get:23 http://debian.int.donarmstrong.com/debian/ sid/main libpam0g-dev amd64 1.1.3-7 [191 kB]
Get:24 http://debian.int.donarmstrong.com/debian/ sid/main zlib1g-dev amd64 1:1.2.6.dfsg-1 [213 kB]
Get:25 http://debian.int.donarmstrong.com/debian/ sid/main libssl-dev amd64 1.0.0g-1 [1634 kB]
Get:26 http://debian.int.donarmstrong.com/debian/ sid/main libwrap0-dev amd64 7.6.q-23 [25.4 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 12.9 MB in 0s (41.4 MB/s)
Selecting previously unselected package libpipeline1.
(Reading database ... 10856 files and directories currently installed.)
Unpacking libpipeline1 (from .../libpipeline1_1.2.0-5_amd64.deb) ...
Selecting previously unselected package libssl1.0.0.
Unpacking libssl1.0.0 (from .../libssl1.0.0_1.0.0g-1_amd64.deb) ...
Selecting previously unselected package libmagic1.
Unpacking libmagic1 (from .../libmagic1_5.10-1_amd64.deb) ...
Selecting previously unselected package libpcre3.
Unpacking libpcre3 (from .../libpcre3_8.12-4_amd64.deb) ...
Selecting previously unselected package libwrap0.
Unpacking libwrap0 (from .../libwrap0_7.6.q-23_amd64.deb) ...
Selecting previously unselected package libffi5.
Unpacking libffi5 (from .../libffi5_3.0.10-3_amd64.deb) ...
Selecting previously unselected package libglib2.0-0.
Unpacking libglib2.0-0 (from .../libglib2.0-0_2.30.2-6_amd64.deb) ...
Selecting previously unselected package libxml2.
Unpacking libxml2 (from .../libxml2_2.7.8.dfsg-7_amd64.deb) ...
Selecting previously unselected package libcroco3.
Unpacking libcroco3 (from .../libcroco3_0.6.4-2_amd64.deb) ...
Selecting previously unselected package libunistring0.
Unpacking libunistring0 (from .../libunistring0_0.9.3-5_amd64.deb) ...
Selecting previously unselected package bsdmainutils.
Unpacking bsdmainutils (from .../bsdmainutils_9.0.1_amd64.deb) ...
Selecting previously unselected package groff-base.
Unpacking groff-base (from .../groff-base_1.21-6_amd64.deb) ...
Selecting previously unselected package man-db.
Unpacking man-db (from .../man-db_2.6.1-1_amd64.deb) ...
Selecting previously unselected package file.
Unpacking file (from .../archives/file_5.10-1_amd64.deb) ...
Selecting previously unselected package gettext-base.
Unpacking gettext-base (from .../gettext-base_0.18.1.1-5_amd64.deb) ...
Selecting previously unselected package libcap2.
Unpacking libcap2 (from .../libcap2_1%3a2.22-1_amd64.deb) ...
Selecting previously unselected package html2text.
Unpacking html2text (from .../html2text_1.3.2a-15_amd64.deb) ...
Selecting previously unselected package gettext.
Unpacking gettext (from .../gettext_0.18.1.1-5_amd64.deb) ...
Selecting previously unselected package intltool-debian.
Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
Selecting previously unselected package po-debconf.
Unpacking po-debconf (from .../po-debconf_1.0.16+nmu2_all.deb) ...
Selecting previously unselected package debhelper.
Unpacking debhelper (from .../debhelper_9.20120115_all.deb) ...
Selecting previously unselected package libcap-dev.
Unpacking libcap-dev (from .../libcap-dev_1%3a2.22-1_amd64.deb) ...
Selecting previously unselected package libpam0g-dev.
Unpacking libpam0g-dev (from .../libpam0g-dev_1.1.3-7_amd64.deb) ...
Selecting previously unselected package zlib1g-dev.
Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.6.dfsg-1_amd64.deb) ...
Selecting previously unselected package libssl-dev.
Unpacking libssl-dev (from .../libssl-dev_1.0.0g-1_amd64.deb) ...
Selecting previously unselected package libwrap0-dev.
Unpacking libwrap0-dev (from .../libwrap0-dev_7.6.q-23_amd64.deb) ...
Setting up libpipeline1 (1.2.0-5) ...
Setting up libssl1.0.0 (1.0.0g-1) ...
Setting up libmagic1 (5.10-1) ...
Setting up libpcre3 (8.12-4) ...
Setting up libwrap0 (7.6.q-23) ...
Setting up libffi5 (3.0.10-3) ...
Setting up libglib2.0-0 (2.30.2-6) ...
No schema files found: doing nothing.
Setting up libxml2 (2.7.8.dfsg-7) ...
Setting up libcroco3 (0.6.4-2) ...
Setting up libunistring0 (0.9.3-5) ...
Setting up bsdmainutils (9.0.1) ...
update-alternatives: using /usr/bin/bsd-write to provide /usr/bin/write (write) in auto mode.
update-alternatives: using /usr/bin/bsd-from to provide /usr/bin/from (from) in auto mode.
Setting up groff-base (1.21-6) ...
Setting up man-db (2.6.1-1) ...
Building database of manual pages ...
Setting up file (5.10-1) ...
Setting up gettext-base (0.18.1.1-5) ...
Setting up libcap2 (1:2.22-1) ...
Setting up html2text (1.3.2a-15) ...
Setting up gettext (0.18.1.1-5) ...
Setting up intltool-debian (0.35.0+20060710.1) ...
Setting up po-debconf (1.0.16+nmu2) ...
Setting up debhelper (9.20120115) ...
Setting up libcap-dev (1:2.22-1) ...
Setting up libpam0g-dev (1.1.3-7) ...
Setting up zlib1g-dev (1:1.2.6.dfsg-1) ...
Setting up libssl-dev (1.0.0g-1) ...
Setting up libwrap0-dev (7.6.q-23) ...
Removing negative dependencies: 
Checking correctness of source dependencies...
Kernel: Linux 2.6.32-5-amd64 amd64 (x86_64)
Toolchain package versions: libc6-dev_2.13-26 dpkg-dev_1.16.1.2 linux-libc-dev_3.2.6-1 gcc-4.6_4.6.2-15 g++-4.6_4.6.2-15 binutils_2.22-5 libstdc++6-4.6-dev_4.6.2-15 libstdc++6_4.6.2-15
Package versions: apt_0.8.15.9 base-files_6.5 base-passwd_3.5.24 bash_4.2-1 binutils_2.22-5 bsdmainutils_9.0.1 bsdutils_1:2.20.1-1.2 build-essential_11.5 bzip2_1.0.6-1 coreutils_8.13-3 cpp_4:4.6.2-4 cpp-4.6_4.6.2-15 dash_0.5.7-2 debconf_1.5.41 debconf-i18n_1.5.41 debfoster_2.7-1.1 debhelper_9.20120115 debian-archive-keyring_2010.08.28 debianutils_4.2.1 diffutils_1:3.2-1 dpkg_1.16.1.2 dpkg-dev_1.16.1.2 e2fslibs_1.42.1-1 e2fsprogs_1.42.1-1 fakeroot_1.18.2-1 file_5.10-1 findutils_4.4.2-4 g++_4:4.6.2-4 g++-4.6_4.6.2-15 gcc_4:4.6.2-4 gcc-4.4-base_4.4.6-14 gcc-4.5-base_4.5.3-12 gcc-4.6_4.6.2-15 gcc-4.6-base_4.6.2-15 gettext_0.18.1.1-5 gettext-base_0.18.1.1-5 gnupg_1.4.11-3 gpgv_1.4.11-3 grep_2.10-1 groff-base_1.21-6 gzip_1.4-2 hostname_3.11 html2text_1.3.2a-15 initscripts_2.88dsf-22 insserv_1.14.0-2.2 intltool-debian_0.35.0+20060710.1 libacl1_2.2.51-5 libattr1_1:2.4.46-5 libblkid1_2.20.1-1.2 libbz2-1.0_1.0.6-1 libc-bin_2.13-26 libc-dev-bin_2.13-26 libc6_2.13-26 libc6-dev_2.13-26 li
 bcap-dev_1:2.22-1 libcap2_1:2.22-1 libclass-isa-perl_0.36-3 libcomerr2_1.42.1-1 libcroco3_0.6.4-2 libdb5.1_5.1.29-1 libdpkg-perl_1.16.1.2 libffi5_3.0.10-3 libgc1c2_1:7.1-8 libgcc1_1:4.6.2-15 libgdbm3_1.8.3-10 libglib2.0-0_2.30.2-6 libgmp10_2:5.0.4+dfsg-1 libgomp1_4.6.2-15 liblocale-gettext-perl_1.05-7+b1 liblzma5_5.1.1alpha+20110809-3 libmagic1_5.10-1 libmount1_2.20.1-1.2 libmpc2_0.9-4 libmpfr4_3.1.0-3 libncurses5_5.9-4 libpam-modules_1.1.3-7 libpam-modules-bin_1.1.3-7 libpam-runtime_1.1.3-7 libpam0g_1.1.3-7 libpam0g-dev_1.1.3-7 libpcre3_8.12-4 libpipeline1_1.2.0-5 libquadmath0_4.6.2-15 libreadline6_6.2-8 libselinux1_2.1.0-4.1 libsemanage-common_2.1.0-2 libsemanage1_2.1.0-2 libsepol1_2.1.0-1.2 libslang2_2.2.4-6 libss2_1.42.1-1 libssl-dev_1.0.0g-1 libssl1.0.0_1.0.0g-1 libstdc++6_4.6.2-15 libstdc++6-4.6-dev_4.6.2-15 libswitch-perl_2.16-2 libtext-charwidth-perl_0.04-7+b1 libtext-iconv-perl_1.7-5 libtext-wrapi18n-perl_0.06-7 libtimedate-perl_1.2000-1 libtinfo5_5.9-4 libunistring
 0_0.9.3-5 libusb-0.1-4_2:0.1.12-20 libustr-1.0-1_1.0.4-2 libuuid1_2.20.1-1.2 libwrap0_7.6.q-23 libwrap0-dev_7.6.q-23 libxml2_2.7.8.dfsg-7 linux-libc-dev_3.2.6-1 login_1:4.1.5-1 lsb-base_3.2-28.1 make_3.81-8.1 man-db_2.6.1-1 mawk_1.3.3-16 mount_2.20.1-1.2 multiarch-support_2.13-26 ncurses-base_5.9-4 ncurses-bin_5.9-4 passwd_1:4.1.5-1 patch_2.6.1-3 perl_5.14.2-7 perl-base_5.14.2-7 perl-modules_5.14.2-7 po-debconf_1.0.16+nmu2 readline-common_6.2-8 sed_4.2.1-9 sensible-utils_0.0.6 sysv-rc_2.88dsf-22 sysvinit_2.88dsf-22 sysvinit-utils_2.88dsf-22 tar_1.26-4 tzdata_2011n-2 ucf_3.0025+nmu2 util-linux_2.20.1-1.2 xz-utils_5.1.1alpha+20110809-3 zlib1g_1:1.2.6.dfsg-1 zlib1g-dev_1:1.2.6.dfsg-1

┌──────────────────────────────────────────────────────────────────────────────┐
│ Build                                                                        │
└──────────────────────────────────────────────────────────────────────────────┘


Unpack source
─────────────

gpgv: keyblock resource `/var/lib/buildd/.gnupg/trustedkeys.gpg': file open error
gpgv: Signature made Sat Jan 21 10:01:28 2012 UTC using DSA key ID 4B2B2B9E
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on ./vsftpd_2.3.5-2.dsc
dpkg-source: info: extracting vsftpd in vsftpd-2.3.5
dpkg-source: info: unpacking vsftpd_2.3.5.orig.tar.gz
dpkg-source: info: unpacking vsftpd_2.3.5-2.debian.tar.gz
dpkg-source: info: applying 01-builddefs.patch
dpkg-source: info: applying 02-config.patch
dpkg-source: info: applying 03-db-doc.patch
dpkg-source: info: applying 04-link-local.patch
dpkg-source: info: applying 05-whitespaces.patch
dpkg-source: info: applying 06-greedy.patch
dpkg-source: info: applying 07-utf8.patch
dpkg-source: info: applying 08-manpage.patch
dpkg-source: info: applying 09-s390.patch
dpkg-source: info: applying 10-remote-dos.patch
dpkg-source: info: applying 11-alpha.patch

Check disc space
────────────────


dpkg-buildpackage
─────────────────

dpkg-buildpackage: source package vsftpd
dpkg-buildpackage: source version 2.3.5-2
 dpkg-source --before-build vsftpd-2.3.5
dpkg-buildpackage: host architecture amd64
dpkg-source: info: using options from vsftpd-2.3.5/debian/source/options: --compression=gzip --compression-level=9
 /usr/bin/fakeroot debian/rules clean
dh clean
   dh_testdir
   dh_auto_clean
make[1]: Entering directory `/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq/vsftpd-2.3.5'
rm -f *.o *.swp vsftpd
make[1]: Leaving directory `/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq/vsftpd-2.3.5'
   dh_clean
 debian/rules build
dh build
   dh_testdir
   dh_auto_configure
   debian/rules override_dh_auto_build
make[1]: Entering directory `/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq/vsftpd-2.3.5'
/usr/bin/make LIBS="-lwrap -lpam -lssl -lcrypto -lcap" LINK=""
make[2]: Entering directory `/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq/vsftpd-2.3.5'
gcc -c main.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c utility.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c prelogin.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ftpcmdio.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c postlogin.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c privsock.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c tunables.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ftpdataio.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c secbuf.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ls.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c postprivparent.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c logging.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c str.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c netstr.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c sysstr.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c strlist.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c banner.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c filestr.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c parseconf.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c secutil.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ascii.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c oneprocess.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c twoprocess.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c privops.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c standalone.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c hash.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c tcpwrap.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ipaddrparse.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c access.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c features.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c readwrite.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c opts.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ssl.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
ssl.c: In function 'get_ssl':
ssl.c:555:32: warning: initialization discards 'const' qualifier from pointer target type [enabled by default]
gcc -c sslslave.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ptracesandbox.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c ftppolicy.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c sysutil.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -c sysdeputil.c -O2 -Wall -W -Wshadow  -idirafter dummyinc
gcc -o vsftpd main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o tunables.o ftpdataio.o secbuf.o ls.o postprivparent.o logging.o str.o netstr.o sysstr.o strlist.o banner.o filestr.o parseconf.o secutil.o ascii.o oneprocess.o twoprocess.o privops.o standalone.o hash.o tcpwrap.o ipaddrparse.o access.o features.o readwrite.o opts.o ssl.o sslslave.o ptracesandbox.o ftppolicy.o sysutil.o sysdeputil.o  -lwrap -lpam -lssl -lcrypto -lcap -fPIE -pie -Wl,-z,relro -Wl,-z,now
/usr/bin/ld: main.o: relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
main.o: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[2]: *** [vsftpd] Error 1
make[2]: Leaving directory `/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq/vsftpd-2.3.5'
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq/vsftpd-2.3.5'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
────────────────────────────────────────────────────────────────────────────────
Build finished at 20120223-1654
FAILED [dpkg-buildpackage died]
────────────────────────────────────────────────────────────────────────────────
Purging /var/lib/schroot/mount/unstable-amd64-sbuild-b4f14493-6975-4317-9103-3075a02ab1be/build/buildd-vsftpd_2.3.5-2-amd64-YGvsAq
Not removing build depends: cloned chroot in use
────────────────────────────────────────────────────────────────────────────────
Finished at 20120223-1654
Build needed 00:01:13, 2408k disc space

Changed Bug title to 'vsftpd FTBFS on armhf and amd64' from 'vsftpd FTBFS on armhf (and maybe amd64)' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 24 Feb 2012 01:09:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 24 Feb 2012 01:09:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 19:09:51 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 19:09:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#657693; Package vsftpd. (Sat, 03 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sat, 03 Mar 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #23 received at 657693@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 657693@bugs.debian.org
Subject: vsftpd: diff for NMU version 2.3.5-2.1
Date: Sat, 3 Mar 2012 20:07:34 +0100
[Message part 1 (text/plain, inline)]
tags 657693 + patch
tags 657693 + pending
thanks

Dear maintainer,

I've prepared an NMU for vsftpd (versioned as 2.3.5-2.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
  Hector Oron
[vsftpd-2.3.5-2.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Sun, 04 Mar 2012 19:52:47 GMT) Full text and rfc822 format available.

Notification sent to peter green <plugwash@p10link.net>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:52:47 GMT) Full text and rfc822 format available.

Message #28 received at 657693-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 657693-close@bugs.debian.org
Subject: Bug#657693: fixed in vsftpd 2.3.5-3
Date: Sun, 04 Mar 2012 19:33:45 +0000
Source: vsftpd
Source-Version: 2.3.5-3

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive:

vsftpd_2.3.5-3.debian.tar.gz
  to main/v/vsftpd/vsftpd_2.3.5-3.debian.tar.gz
vsftpd_2.3.5-3.dsc
  to main/v/vsftpd/vsftpd_2.3.5-3.dsc
vsftpd_2.3.5-3_i386.deb
  to main/v/vsftpd/vsftpd_2.3.5-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657693@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated vsftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Mar 2012 20:15:39 +0100
Source: vsftpd
Binary: vsftpd
Architecture: source i386
Version: 2.3.5-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 vsftpd     - lightweight, efficient FTP server written for security
Closes: 655103 656900 657693
Changes: 
 vsftpd (2.3.5-3) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Adding changelog entry from squeeze security update.
 .
   [ Jonathan Nieder ]
   * Adding NEWS file to warn about strengthened checks for writable root
     directory inside chroot (Closes: #656900).
 .
   [ Daniel Baumann ]
   * Manually passing CPPFLAGS into CFLAGS when calling make in rules
     (Closes: #655103, #657693).
   * Updating package to standards version 3.9.3.
Checksums-Sha1: 
 5c99bc16ef935d4f6c489f1228ac65012f7e2c53 1125 vsftpd_2.3.5-3.dsc
 8ec94c374f2cbb508228c6cbe2aa164068ac3ac6 26915 vsftpd_2.3.5-3.debian.tar.gz
 8ca8e68a4eab09dc80213c9487610eb82c67e0d3 164742 vsftpd_2.3.5-3_i386.deb
Checksums-Sha256: 
 d448dd376d2278f1bda8d13209f4e4fb3ebdc32bf30c852523085994b975aa57 1125 vsftpd_2.3.5-3.dsc
 eebdbaef55578d03213e1ad75590523a63a82b25776b635c9c217828c71a5252 26915 vsftpd_2.3.5-3.debian.tar.gz
 7de0d28945cacf6989845c78f92dcb0e98cc7c7d3de365ffb1201b44302afdd7 164742 vsftpd_2.3.5-3_i386.deb
Files: 
 8aa45492c5fd52c3986da325d8523d16 1125 net extra vsftpd_2.3.5-3.dsc
 3ee1664cb349b2d7c3b2397dbce1245d 26915 net extra vsftpd_2.3.5-3.debian.tar.gz
 d530af1dc11a32385c622bbb829d1ab1 164742 net extra vsftpd_2.3.5-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9TwBgACgkQ+C5cwEsrK55fSQCgn1AxHmZsgSgB4GlCl/soNj4i
03IAoKEGrtgR09IWHLADVN4TR1LuhZPz
=8q61
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Apr 2012 07:40:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:37:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.